> For the complete documentation index, see [llms.txt](https://developers.epiqai.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.epiqai.com/access-and-security/read-only-by-design.md).

# Read-only by design

All exposed Epiq AI MCP tools are read-only. They are advertised to Claude with readOnlyHint=true, destructiveHint=false, and idempotentHint=true. There are no exposed MCP tools that create, update, delete, rename, approve, reject, upload, or export Epiq AI data.

<table><thead><tr><th width="191">Tool</th><th width="200"></th><th width="136">readOnlyHint</th><th>destructiveHint</th><th>idempotentHint</th></tr></thead><tbody><tr><td><code>list_my_aida_accounts</code></td><td>Requires an authenticated, active, verified Epiq AI user; returns only accounts the user belongs to.</td><td>true</td><td>false</td><td>true</td></tr><tr><td><code>list_projects</code></td><td>Requires selected account membership; returns only projects/cases the user can access.</td><td>true</td><td>false</td><td>true</td></tr><tr><td><code>list_collections</code></td><td>Requires account membership and access to the selected project/case.</td><td>true</td><td>false</td><td>true</td></tr><tr><td><code>search_documents</code></td><td>Requires account membership and access to the selected project/case; collection filters are validated within that project/case.</td><td>true</td><td>false</td><td>true</td></tr><tr><td><code>search_entities</code></td><td>Same account and project/case access requirements as <code>search_documents</code>.</td><td>true</td><td>false</td><td>true</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.epiqai.com/access-and-security/read-only-by-design.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
